<script setup>
import {RouterView} from 'vue-router'
import Navbar from './components/Navbar.vue';
import axios from 'axios';
import {ref} from 'vue';


const places = ref([])
axios.get(`${import.meta.env.VITE_GESTION_EDT_API_URL}/lieux/`, {
  headers: {
    'Content-Type': 'application/json',
    'Accept': 'application/json'
  },
})
    .then(response => {
      places.value = response.data
    })
    .catch(e => {
      console.log(e)
    })

const promotions = ref([])
axios.get(`${import.meta.env.VITE_GESTION_PROMO_API_URL}/promotion`, {
  headers: {
    'Content-Type': 'application/json',
    'Accept': 'application/json'
  }
})
    .then(response => promotions.value = response.data)
    .catch(err => console.log(err))



const subjects = ref([])
axios.get(`${import.meta.env.VITE_GESTION_PROMO_API_URL}/matiere`, {
  headers: {
    'Content-Type': 'application/json',
    'Accept': 'application/json'
  }
})
    .then(response => {
      subjects.value = response.data
    })
    .catch(err => {
      console.log(err)
    })



// DO NOT REMOVE TRAILLING SLASH.
const employees = ref([])
axios.get(`${import.meta.env.VITE_GESTION_RH_API_URL}/personnel/`, {
  headers: {
  'Content-Type': 'application/json',
  'Accept': 'application/json'
  }
})
  .then(response => employees.value = response.data)
  .catch(err => console.log(err))



</script>

<template>
  <header>
    <Navbar/>
  </header>

  <div class="container">
    <RouterView :places="places" :promotions="promotions" :employees="employees" :subjects="subjects"/>
  </div>
</template>

<style scoped>
header {
  padding: 10px;
  text-align: center;
}

.container {
  display: flex;
  justify-content: center;
}
</style>
